<div class="background login"></div>
<div class="container">
    <div class="row">
        <div class="col-md-12">
            <div style="height: 144px"></div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6 col-md-offset-3">
            <div class="panel panel-primary box flat">
                <div class="panel-heading flat">
                    <h3 class="panel-title">Wellcome</h3>
                </div>
                <div class="panel-body">
                    <form ng-submit="connect(form)" name="form" role="form">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label for="">Please input your name to join</label>
                                    <input ng-model="user.name" name="username" type="text" class="form-control flat" id="" placeholder="Input your name" required ng-minlength="5" ng-maxlength="20" autofocus>
                                    <div ng-messages="form.username.$error" ng-show="form.username.$dirty" class="text-danger" role="alert">
                                        <div ng-message="required">Please enter a value for username</div>
                                        <div ng-message="minlength">Username is too short</div>
                                        <div ng-message="maxlength">Username is too long</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="text-center">
                            <button type="submit" class="btn btn-primary flat" style="width: 50%">Join</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>